엔드포인트
엔드포인트 상태 조회
GET
/
endpoints
/
{endpoint_id}
엔드포인트 상태 조회
curl --request GET \
--url https://external.aieev.cloud:5000/external/api/v1/endpoints/{endpoint_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://external.aieev.cloud:5000/external/api/v1/endpoints/{endpoint_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://external.aieev.cloud:5000/external/api/v1/endpoints/{endpoint_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"endpoint_id": "51c910f7-ecde-4c6c-88f8-d8e37ca9d598",
"name": "aieev-endpoint",
"endpoint_type": "container",
"is_active": true,
"status": "RUNNING",
"num_replicas": 2,
"enable_autoscaling": false,
"instance_type_name": "RTX 5090",
"serving_endpoint_url": "https://ap-1.aieev.cloud/ac/7/51c910f7-ecde-4c6c-88f8-d8e37ca9d598",
"replica_status_summary": {
"RUNNING": 2,
"STARTING": 0
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}인증
API Key를 Bearer 토큰으로 전달합니다. 프로젝트 개요의 API 키 메뉴에서 생성할 수 있습니다.
경로 매개변수
엔드포인트 고유 ID
예시:
"51c910f7-ecde-4c6c-88f8-d8e37ca9d598"
응답
엔드포인트 상태
엔드포인트 고유 ID
예시:
"51c910f7-ecde-4c6c-88f8-d8e37ca9d598"
엔드포인트 이름
예시:
"aieev-endpoint"
엔드포인트 유형
예시:
"container"
현재 활성 여부
예시:
true
현재 상태. 활성 시 Ray Serve에서 실시간 조회
예시:
"RUNNING"
현재 레플리카 수
예시:
2
오토스케일링 활성화 여부
예시:
false
인스턴스 타입 이름
예시:
"RTX 5090"
엔드포인트 공개 URL
예시:
"https://ap-1.aieev.cloud/ac/7/51c910f7-ecde-4c6c-88f8-d8e37ca9d598"
상태별 레플리카 수. 활성 상태에서만 제공
Show child attributes
Show child attributes
예시:
{ "RUNNING": 2, "STARTING": 0 }
생성 시간
수정 시간
⌘I
엔드포인트 상태 조회

